
# Deep image prior regularized by coupled total variation for image colorization

In this repository we provide *Jupyter Notebooks* to reproduce the results of :

> **Deep image prior regularized by coupled total variation for image colorization**

> SSVM 2023

> Gaetano Agazzotti, Frédéric Sur and Fabien Pierre


# Install

Here is the list of libraries you need to install to execute the code:
- python = 3.7
- jupyter
- matplotlib = 3.3.4
- torch = 1.10.1
- torchvision = 0.11.2
- scikit-image = 0.17.2
- numpy = 1.19.5
- easydict = 1.9

All of them can be installed via `pip` , e.g.
```
pip install -r requirements.txt
```


# Citation
```
@article{UlyanovVL17,
    author    = {Ulyanov, Dmitry and Vedaldi, Andrea and Lempitsky, Victor},
    title     = {Deep Image Prior},
    journal   = {arXiv:1711.10925},
    year      = {2017}
}
```
